Skip to main content
GET
https://prod-api.raisedonors.com
/
api
/
Premium
/
{id}
Get a Premium
curl --request GET \
  --url https://prod-api.raisedonors.com/api/Premium/{id} \
  --header 'Authorization: <api-key>'
{
  "id": 123,
  "currency": "<string>",
  "name": "<string>",
  "nameShort": "<string>",
  "code": "<string>",
  "description": "<string>",
  "isActive": true,
  "price": 123,
  "formattedPrice": "<string>",
  "fairMarketValue": 123,
  "formattedFairMarketValue": "<string>",
  "inventory": 123,
  "keepActiveWhenHasNoInventory": true,
  "recurringPremiumId": 123,
  "recurringPremiumName": "<string>",
  "image": "<string>",
  "externalIdentifier": "<string>",
  "otherMinimumAmounts": [
    {
      "currency": "<string>",
      "value": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

id
integer<int64>
required

The ID of the premium.

Response

OK

Represents a premium model.

id
integer<int64>

Gets or sets the identifier.

currency
string | null

Gets or sets the currency.

name
string | null

Gets or sets the name.

nameShort
string | null

Gets or sets the name short.

code
string | null

Gets or sets the code.

description
string | null

Gets or sets the description.

isActive
boolean

Gets or sets a value indicating whether active.

price
number<double>

Gets or sets the price.

formattedPrice
string | null
read-only
fairMarketValue
number<double> | null

Gets or sets the fair market value.

formattedFairMarketValue
string | null
read-only
inventory
integer<int32> | null

Gets or sets the inventory.

keepActiveWhenHasNoInventory
boolean

Gets or sets the keep active when has no inventory.

recurringPremiumId
integer<int64> | null

Gets or sets the recurringpremium identifier.

recurringPremiumName
string | null

Gets or sets the recurringpremium name.

image
string | null

Gets or sets the image.

externalIdentifier
string | null

Gets or sets the external identifier.

otherMinimumAmounts
object[] | null

Gets or sets the other minimum amounts.

Last modified on June 5, 2026